LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XRowsChangeBroadcaster Interface Reference

broadcasts changes in the `RowSet` supplied by a component More...

`import"XRowsChangeBroadcaster.idl";`

## Public Member Functions
void | addRowsChangeListener ([in] XRowsChangeListener listener)
| adds a listener to be notified when the `RowSet` supplied by the component changes. More...
void | removeRowsChangeListener ([in] XRowsChangeListener listener)
| removes a previously added listener. More...

## Detailed Description

broadcasts changes in the `RowSet` supplied by a component

See Also
  XRowSetSupplier
  XRowsChangeListener

Since
  OOo 3.3

## Member Function Documentation

void addRowsChangeListener | ( | [in] XRowsChangeListener | listener | ) |

adds a listener to be notified when the `RowSet` supplied by the component changes.

void removeRowsChangeListener | ( | [in] XRowsChangeListener | listener | ) |

removes a previously added listener.

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/XRowsChangeBroadcaster.idl